Package org.jfree.layouting.layouter.style.functions

## Class FunctionFactory

- java.lang.Object
- - org.jfree.layouting.layouter.style.functions.FunctionFactory

-     public class FunctionFactory
      extends java.lang.Object

  Creation-Date: 16.04.2006, 14:15:37
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CONTENT_FUNCTIONS_KEY_RANGE` |
    `static java.lang.String` | `VALUE_FUNCTIONS_KEY_RANGE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContentFunction` | `getContentFunction​(java.lang.String name)` |
    `static FunctionFactory` | `getInstance​()` |
    `StyleValueFunction` | `getStyleFunction​(java.lang.String name)` |
    `void` | `registerDefault​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VALUE_FUNCTIONS_KEY_RANGE

          public static final java.lang.String VALUE_FUNCTIONS_KEY_RANGE

      See Also:
        Constant Field Values

    - #### CONTENT_FUNCTIONS_KEY_RANGE

          public static final java.lang.String CONTENT_FUNCTIONS_KEY_RANGE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static FunctionFactory getInstance​()

    - #### registerDefault

          public void registerDefault​()

    - #### getStyleFunction

          public StyleValueFunction getStyleFunction​(java.lang.String name)

    - #### getContentFunction

          public ContentFunction getContentFunction​(java.lang.String name)